NEWS

							Geeklog Japan

このファイルではGeeklog日本語版のリリースに関する情報を簡潔に紹介します。

Geeklog 2.1.0-jp-1.0					2014年 7月23日

  o Geeklog 2.0.0-jp-1.0からの変更

    インストーラ

	* 日本語化を日本語化プラグインで行うようにしました。
	  (日本語化には日本語化プラグインの実行が必要です。)

    日本語版テーマ

	* Professional_css、Mobile、およびWAIproCSSをGeeklog 2.1.0に対応し
	  ました。

    日本語拡張版プラグイン

    - Autotags バージョン 1.1.1 を同梱
    - Calendarjp バージョン 1.1.6 を同梱
    - Captcha バージョン 3.5.5 を同梱(本家版に差し替え)
    - CustomMenu バージョン 0.7.0 を同梱
    - Dataproxy バージョン 2.0.0 を同梱
    - Dbman バージョン 0.7.1 を同梱
    - Filemgmt バージョン 1.6.0.jp3 を同梱
    - Forum バージョン 2.9.0hg を同梱
    - Japanize バージョン 2.1.0 を同梱(アップグレード)
    - Mycaljp バージョン 2.2.0 を同梱
    - Nmoxtopicown バージョン 1.0.12 を同梱
    - Sitemap バージョン 2.0.0 を同梱
    - Theme Editor バージョン 1.2.1 を同梱

    日本語拡張版カスタム関数

      変更はありません。
      同梱しているカスタム関数はlib-custom.phpを参照してください。


Geeklog 2.0.0-jp-1.0					2013年 4月10日

  o Geeklog 1.8.2-sr1-jp-1.0からの変更

    言語ファイル

    - 日本語コア言語ファイル
	* 国語審議会の報告を基に告示された1991年の内閣告示第二号にあわせて
	  長音表記ルールを変更しました。

    インストーラ

	* LocalizeGeeklogクラスでセットする更新pingサーバーを変更しました

    日本語版テーマ

	* Professional_css、Mobile、およびWAIproCSSをGeeklog 2.0に対応させ
	  ました。

	* mobileテーマは、JavaScriptを多用するようになった管理画面をサポート
	  できなくなりました。

	* その他Professional、新テーマModern Curve、およびレスポンシブWEB
	  デザインテーマDenimの些細な調整を行いました。

    日本語拡張版プラグイン

      すべてのプラグインをGeeklog 2.0に対応させました。

    - Autotags バージョン 1.1.1 を同梱
    - Calendarjp バージョン 1.1.6 を同梱

	* Geeklog 2.0.0b1のcalendarプラグインの変更を
	  マージしました。

    - CAPTCHA バージョン 4.0.2 を同梱

    - CustomMenu バージョン 0.7.0 を同梱

	* 親アイテムIDとして自分・子・孫のメニューアイテムIDを設定
	  できてしまう問題を修正しました。

    - Dataproxy バージョン 2.0.0 を同梱

	* Geeklog 2.0.0に対応させました。
	* calendarjpとmediagalleryのドライバークラスの
	  メソッド宣言に関する問題を修正しました。

    - Dbman バージョン 0.7.1 を同梱

	* 管理画面のURLを統一しました。
	* 管理画面以外ではdbman.jsを読み込まないようにしました。
	* Geeklog 2.0.0に対応させました。

    - Filemgmt バージョン 1.6.0.jp3 を同梱

    - Forum バージョン 2.9.0hg を同梱

	* Google Codeリポジトリの最新をマージしました。

    - Japanize バージョン 1.0.6RC5 を同梱

    - Mycaljp バージョン 2.2.0 を同梱

	* Geeklog 2.0.0からの新テーマエンジンに合わせて最適化しました。
	* 動作に必要なGeeklogのバージョンを 2.0.0以降に変更しました。
	* ダイナミックブロックタイプに変更しました。

    - Nmoxtopicown バージョン 1.0.12 を同梱

	* Geeklog 2.0.0に対応させました。

    - Sitemap バージョン 2.0.0 を同梱

	* Geeklog 2.0.0に対応させました。

    - Theme Editor バージョン 1.2.1 を同梱

	* 管理画面のURLを統一しました。


    日本語拡張版カスタム関数

    - phpblock_lastarticle.php 

      Geeklog 2.0に対応させました。


Geeklog 1.8.2-sr1-jp-1.0				2013年2月21日

  o Geeklog 1.8.2-jp-1.0からの変更

    - Geeklog 1.8.2-sr1はカレダーおよびカレンダーjpプラグインのXSSを
      修正した、セキュリティリリースです。

    - Twitter OAuth ログインのTwitter APIをversion 1.1に切り替えました。


Geeklog 1.8.2-jp-1.0					2013年1月5日

  o Geeklog 1.8.1-jp-1.1からの変更

    本家のGeeklog 1.8.2を取り込みました。

    - MySQLの最小のバージョンが4.1.2となっています。

    日本語拡張版カスタム関数

    - system/custom/phpblock_lastarticle.php

	* 2.0対応しました。
	* PHPブロック使用で画面がくずれる問題を修正しました。



Geeklog 1.8.1-jp-1.1					2012年5月4日

  o Geeklog 1.8.1-jp-1.0からの変更

    ソースコード管理

	* ソースコードの管理を Subversion から Mercurial に移行しました。
	  また、これに付随した修正を行いました。

    言語ファイル

    - 日本語コア言語ファイル

	* 「自動インストール」という用語を「プラグインアップロード」に変更
	  しました。

    インストーラ

	* インストール用言語ファイルの、インストール完了後表示される文章を
	  しました。

    日本語版テーマ

	* professional_cssテーマ及びWAIproCSSテーマに軽微を修正しました。

	* その他の些細な調整を行いました。


Geeklog 1.8.1-jp-1.0					2011年12月03日

  o Geeklog 1.8.0-jp-1.0からの変更

    言語ファイル

    - 日本語コア言語ファイル

	* 「グループメール」を「メール」に用語変更しました。
	* 日本語言語ファイルで誤解の多かった「氏名を表示する」から
	  「ユーザ名の代わりに氏名を表示する」に変更しました。
	* その他細かく表現を修正しました。

    インストーラ

    - 日本語環境のインストール前チェック(Precheck)をGeeklog-1.8.1に対応
      させました。

    - Precheckでインストールが失敗する問題(Issue #186)に対応しました。

    - xmlsitemap,sitemap両プラグインインストールでエラーにならないように
      public_htmlに空のsitemap.xmlを追加し、インストール前チェック(Precheck)
      でsitemap.xmlのパーミッションをチェックすることで暫定的に対応しました

    - MySQL-5.5以降でテーブル定義に含まれる"TYPE=MyIsam"オプションがエラー
      を起こす問題に、本体およびプラグインを対応しました

    管理画面

    - プラグインアップロード機能で圧縮ファイルをただしく認識しない
      場合がある不具合を修正しました。

    日本語版テーマ

    - テーマの記事投稿や編集に関わる日本語版独自のテンプレートが古く、
      JavaScriptのシンタックスエラーが発生する問題を修正しました。

    - WAIproCSSテーマの管理画面すべてをprofessional_cssに統一させました。
      バージョン 2.5.1 にアップグレードしました。

    - テーマmobileの不要なファイルを削除しました。

    日本語版プログラム

    - public_html/imageresizer.php

	* 機能を拡張し、出力画像形式を指定可能にしました。
	* DokuWikiに対応させました。

    日本語拡張版カスタム関数

    - system/custom/custom_templatesetvars.php 日本語拡張版に追加

	* CUSTOM_templateSetVarsで、1.7.2から日本語プラグイン (Japanize)から
	  削除されたheader.thtmlのテンプレート変数を一部復活させました。
		'topic_id', 'sp_id', 'home_id', 'login_status', 'prof_url_jp'
	* CUSTOM_templateSetVarsで、header.thtmlに、ユーザーエージェントの
	  テンプレート変数を追加しました。
		'custom_class', 'custom_os', 'custom_browser', 'custom_version',
		'custom_alias', 'custom_mobile'

    - system/custom/phpblock_lastarticles.php

	* 画像ファイルの表示をサポートしました。

    日本語拡張版プラグイン

    - 掲示板プラグイン(Forum)を、バージョン 2.8.0 にアップグレードし
      ました。

	* 日本語版をベースに開発されました。

    - Mycaljpプラグインを、バージョン 2.1.4 にアップグレードしました。

	* Geeklog1.8からの新コンフィギュレーションUIに対応しました。

    - DataProxyプラグインを、バージョン 1.2.1 にアップグレードしました。

	* 1.1.9: Downloadsプラグインをサポート
	* 1.2.0: DownloadsプラグインとMediagalleryプラグインで発生していた
		 エラーに対応
	* 1.2.1: PHP-5.xに完全に対応

    - Dbmanプラグインを、バージョン 0.6.1 にアップグレードしました。

	* 0.6.0 Geeklog 1.6からのプラグイン管理の機能である、圧縮ファイル
	        によるプラグインアップロードに対応
	        アンインストール後にコンフィギュレーションパネルを開くと
	        エラーになるバグを修正
	* 0.6.1: バージョン0.5.5以前からアップグレードできなかったバグを修正

    - サイトマッププラグイン(Sitemap)を、バージョン 1.2.2 にアップグレードしました。

	* 1.2.2:プラグインアップロード対応
	        DataProxyプラグインがインストールされていない、ないし無効になっている
	        場合でもエラーにならないように修正

    - 話題譲渡プラグイン(Nmoxtopicown)を、バージョン 1.0.11 にアップグレードしました。

	* 1.0.11: プラグインアップロード対応

    - テーマエディタプラグイン(Themedit)を、バージョン 1.2.0 にアップグレードしました。

	* 1.2.0: プラグインアップロード対応

    - カスタムメニュープラグイン(Custommenu)を、バージョン 0.6.1 にアップグレードしました。

	* 0.6.1: インストール時に初期登録メニューアイテムのグループが正しく設定されな
	        い問題を修正


Geeklog 1.8.0-jp-1.0						2011年6月26日

  o Geeklog 1.7.2-jp-1.0からの変更

    - Geeklog 1.8.0からは、動作にPHP 5.2.0以降が必要です。

    - テーマ名を、ProfessionalCSSを本家の開発リポジトリにあわせて、
      professional_cssに名前を変更しました。
      professional_cssを利用すると、custom.cssの開発だけで新たにテーマを
      作成することができます。新たに作成されたテーマは、ディレクトリ名を
      変更して、テーマ名をprofessional_cssからオリジナルのテーマ名に変更
      してください。
      場合により、functions.phpやheader.thtml footer.thtmlをカスタマイズ
      します。
      custom.cssやcustom.cssから呼ばれるimages/custom/以下の画像などを
      Geeklogのバージョンに対応したprofessional_cssに上書きすることで
      簡単にバージョン対応させることができます。
      以上の機能をもつことから、テーマprofessional_cssはテーマメーカと
      云えます。
      今後もprofessional_cssをテーマメーカとしてご利用ください。

    - 日本語拡張版に同梱するプラグインを見直しました。

	* nmoxqrblockプラグイン

		dengenさんのQRcodeプラグインの利用を推奨することにして、
		同梱を取り止めました。

	* tkgmapsプラグイン

		BenさんのMapsプラグインの利用を推奨することにして、
		同梱を廃止しました。

    - 日本語拡張版に同梱するカスタム関数を追加しました。

	* system/custom/custom_templatesetvars.php

		テンプレートのテーマ変数を追加します。
		日本語プラグインで提供していたtopic_id,sp_id,home_id,login_status,
		prof_url_jpを、このカスタム関数で提供するよう変更しました。



Geeklog 1.7.2-jp-1.0					2011年3月6日

  o Geeklog 1.7.1sr1-jp-1.0からの変更

    - Geeklog 1.7.2はPHP 4系で動作する最後のGeeklogのバージョンです。
      必要な場合は、このバージョンのセキュリティ修正を2012年まで提供します。
      新しい機能はPHP 5.2.0以上で動作する、Geeklog 1.8.0以降のバージョンだ
      けに追加します。

    - 「記事の編集」フォームの日付を言語モードに応じて切り替えるハックが
      無効になっていたので復活させました。

    - ProfessionalCSSを、バージョン 1.6 にアップグレードしました。
      レイアウトを960px幅の新レイアウトに変更しました。
      話題アイコンが右固定する不具合を修正しました。

    - WAIproCSSを、バージョン 2.4.4 にアップグレードしました。
      話題アイコンが右固定する不具合を修正しました。

    - テーマmobileのpreference/profile.thtmlのエンコードを、utf-8に変更しま
      した。

    - 日本語コア言語ファイルのユーザ一括削除部他、修正しました。

    - ロケールのない環境の場合にのみ発生する、ロケール設定の不具合を修正しま
      した。


  プラグイン

    - 日本語化プラグイン(Japanize)を、バージョン 1.0.6RC5 にアップグレードし
      ました。

	* 言語とロケールの不具合を修正しました。
	* テーマ変数をみなおし、必要最小限に変更しました。

    - カレンダjpプラグイン(Calendarjp)を、バージョン 1.1.4 にアップグレードし
      て、Geeklog 1.7.2のcalendarプラグインの変更をマージ、他テンプレートの
　　　テーマ変数を追加しました。

    - DataProxyプラグインを、バージョン 1.1.8 にアップグレードして、静的ページ
　　　のドラフトモードに対応させました。


Geeklog 1.7.1sr1-jp-1.0					2011年1月16日

  o Geeklog 1.7.1-jp-1.0からの変更

    - Geeklog 1.7.1sr1は管理者のコンフィギュレーションパネルのXSSを修正した、
      セキュリティの問題を修正したリリースです。

  プラグイン

    - forumプラグインのBBコード機能に見つかったXSSの脆弱性に対応するた
      め、オリジナルの2.7.4をマージしました。

    - mycaljpプラグインで一部のファイルが含まれていなかった問題を修正し
      ました。

  その他

    - precheckツールがGeeklog 1.7.1に対応しました。


Geeklog 1.7.1-jp-1.1					2010年12月14日

  o Geeklog 1.7.1-jp-1.0からの変更

    - インストーラの初期インストール許可設定で，xmlsitemapプラグインをはずし
      ました。sitemap.xmlの新規作成と書き込み設定ができない環境でエラーが
      発生するための処置です。なお，xmlsitemap sitemap両プラグインは，
      インストールの際にはsitemap.xmlが書き込み可能なファイルとして用意され
      ていなければなりません。

  プラグイン

    - mycaljpプラグインはVer. 2.1.3にアップグレード。コンフィギュレーションで
      テーマをプルダウンで選択できるようになりました。あたらしいダウンロード
      プラグイン(downloads)に対応しました。


  o Google CodeのIssueの情報

	Geeklog 1.7.1-jp-1.1で修正されたIssueは以下から参照できます。

   http://code.google.com/p/geeklog-jp/issues/list?can=1&q=label%3A1.7.1-jp-1.1



Geeklog 1.7.1-jp-1.0					2010年11月20日

  o Geeklog 1.7.0-jp-1.2からの変更

    - 日本語言語ファイルを修正しました。

	* コンフィギュレーションの編集終了後の画面遷移選択肢を変更しました。

    - テーマProfessionalCSSをVer. 1.4に、mobileをVer. 0.4に、WAIproCSSを2.4.3に
      アップグレードしました。
      管理画面のレイアウトにfieldsetを標準で表示できるようにしました。


  プラグイン

    - ファイル管理プラグイン(filemgmt)移行関数のエラーを修正しました。

    - 日本語化プラグイン(japanize)は，言語とロケールの処理を変更した，
      Ver 1.0.6RC4にアップグレードしました。

    - カレンダjpプラグイン(calendarjp)は、Geeklog 1.7.1のcalendarプラグインの
      変更をマージ。さらに，イベントの「詳細」をWikiスタイルで編集できるよう
      になりました。


Geeklog 1.7.0-jp-1.2					2010年8月15日

  o Geeklog 1.7.0-jp-1.1からの変更

    - テーマProfessionalCSSをVer. 1.3に、WAIproCSSをVer. 2.4.2にアップグレー
      ドしました。

	* テーマWAIproCSS、ProfessionalCSSにおいて、fieldset legendに標準的
	  なスタイルを追加し、タイトルが2度読みになる箇所(class="basic"が指
	  定された箇所)のfieldset, legendのスタイルをすべて非表示に設定しま
	  した。

	* テーマProfessionalCSSとWAIproCSSで、OpenID用ログインフォームが表示
	  されていなかったのを修正しました。また、users/loginform.thtmlに
	  {openid_login}を追加しました。

	* テーマProfessionalCSS のスタイルを変更しました。

	  1. common.cssのinput, select, textareaで日本語のフォントスタイルを
	     追加しました。また、

	  2. コメントの英語化する際に、font-familyに不要な変更をしていました。

	  3. legendが非表示になる初期設定を廃止しました。

	  4. 以下のIE専用のワード途中で折り返しさせる指定を削除して、元々の
	     折り返しなしに戻しました。

		th , td { word-break: break-all; }

	* すべてのテーマで、不要となった以下のテンプレートファイルを削除しま
          したしました。

		submit/submitloginrequired.thtml

	* テーマWAIproCSSのcss/compatible.css で、リンクの背景画像に指定して
	  いるexternalとfeedアイコンがアクティブ、ホバー、フォーカスの時に消
	  えてしまうのを修正しました。

	* テーマProfessionalCSS WAIproCSSのcss/block.cssの右ブロックのヘルプ
          アイコンのセレクタを修正しました。

	* r2672の修正を確認し、テーマWAIproCSSのcss/compatible.cssの背景画像
          をgifに変更し、アイコンが適切に表示されるよう余白の修正をしました。

	* テーマProfessionalCSS WAIproCSS のcss/compatible.css で、画像ファ
          イルのリンクエラーを修正しました。

	* テーマProfessionalCSSのcss/default.cssで、コメントアウトしていた
	  url(../javavscript/iepngfix.htc)を削除しました。

	* テーマProfessionalCSS mobile WAIproCSSにimages/update.pngを追加し
          ました。

	* テーマWAIproCSSで、カスタムメニューを有効した時にグローバルナビの
          文字色が基本色になってしまうのを修正しました。


    - 日本語言語ファイルを修正しました。

	* プラグイン管理画面の説明文とボタンを更新からアップデートに変更しま
          した。

	* 'Permalink'を'永久リンク'、'パーマネントリンク'と異なる翻訳をして
	  いたのを'パーマリンク'に統一しました。

	* Googleスタイルの検索結果表示でon日時と表示されていたのを日時だけに
          するよう、言語ファイルを修正しました。

    - インストーラの言語ファイルを修正しました。

	* インストール時、移行時のインポート中のメッセージを変更するため、
	  インストーラの言語ファイルを修正しました。

    - 日本語ドキュメントを調整しました。

	* 日本語ドキュメントの表現の'長期保存クッキー名'を、'パーマネントクッ
          キー名'に変更しました。

	* ドキュメント変更履歴のタイトル、およびリンクテキストを修正しました。

	* 日本語ドキュメントの表現を調整しました。

    - NEWSからREADME.jpを分離しました。


  プラグイン

    - 静的ページプラグイン(Static Page)の日本語言語ファイルを調整しました。

	* 静的ページのコンフィギュレーションにおける、管理者ページのリストソー
	  ト順sort_list_byの翻訳を修正しました。

    - アンケートプラグイン(Polls)の日本語言語ファイルを調整しました。

	* アンケートの日本語言語ファイルで、新着情報ブロックの表現を調整しま
          した。

    - Dbmanプラグイン(Dbman)をVer. 0.5.4にアップグレードしました。

	* DbmanプラグインでTIMESTAMPフィールをクォートして保存していなかった問
	  題(Issue #158)に対処しました。

    - テーマエディタプラグイン(Themedit)をVer. 1.1.4にアップグレードしました。

	* Themeditプラグインで一部のHTMLタグがXHTMLに対応していなかったバグ
	  (Issue #153)を修正しました。

    - 掲示板プラグイン(Forum)で、セキュリティトークンが失効するバグ(の一部)、
      および言語ファイル修正を行ないました。

	* 掲示板プラグインで、有効期間内であるにもかかわらずセキュリティトークン
	  が失効するバグ(の一部)に対応しました。

	* 掲示板プラグイン(forum)の言語ファイルで、'保存'と翻訳していた
	  "Submit"を'保存する'に変更しました。他、タブメニュー部で折り返され
	  やすいため、短い用語に調整しました。

    - GoogleMapsプラグイン(Tkgmaps)をVer. 0.9.4からVer. 2.0.4にアップグレー
      ドしました。

	* バージョン2.0.0からコンフィギュレーション対応になりGeeklog1.5.0以
          上が必要となります。

	* コンフィギュレーション対応したことで、地図に表示するコントロールの
	  ON/OFFやマップ種類を変更したり、情報ウィンドウ表示をクリック/マウ
	  スオーバー/ダブルクリックから選択できたり、各種設定が容易になりま
	  した。

	* また地図の地点情報のインポート、エクスポートにも対応しました。

	* クラスを追加することでKMLとの連携なども可能(なはず)です。

	* 画像管理のメディアギャラリ(MediaGallery)プラグイン(以下MG)と連携も
	  追加され、MGの写真の下に地図を表示したり、MGの写真を自動で地図に取
	  り込んだりできるようになりました。

	* GoogleMapsプラグインアップデートの注意(!重要!)

	  前バージョンからアップデートの際は、以下の2つのポイントにご注意く
	  ださい。 

		1. GoogleMapsAPIKeyの管理方法を変更しています。アップデート
	    	   で移行するるはずですが、万が一に備えてアップデート前にメ
	    	   モを残しておいてください。 

		2. 上書きでファイル転送した場合、private/plugins/tkgmaps/sql
	    	   ディレクトリが残ってしまいます。バージョン2系からは必要な
	    	   いので、必ずsqlディレクトリを削除してください。

		   アップデートや再インストールの時に不具合が発生します。

		   ("CREATE TABLE (..."というエラーが出たらsqlが残っています。
		   sqlディレクトリの削除と、PhpMyAdminなどを使ってgroupsテー
		   ブルから'GoogleMaps Admin'を手動で削除してください)



  o Google CodeのIssueの情報

	Geeklog 1.7.1-jp-1.0で修正されたIssueは以下から参照できます。

   http://code.google.com/p/geeklog-jp/issues/list?can=1&q=label%3A1.7.1-jp-1.0
